﻿/* Copyright (C) Siemens AG, 2012. All Rights Reserved.
 * Author: Roland Eckl, Corporate Technology
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


namespace RVM.Infrastructure.Communication
{
    /// <summary>
    /// Transport-independent interface for exporters.
    /// </summary>
    public interface IViewModelExporter
    {
        /// <summary>
        /// Unique ID of the exporter.
        /// </summary>
        string Id { get; }

        /// <summary>
        /// Connection state.
        /// </summary>
        bool Connected { get; }

        /// <summary>
        /// Export all ViewModels.
        /// </summary>
        /// <returns>TRUE, when successfull</returns>
        bool Start();

        /// <summary>
        /// Stops exporting all ViewModels.
        /// Active imports will be aborted.
        /// </summary>
        /// <returns>TRUE, when successfull</returns>
        bool Stop();
    }
}
