﻿/* Copyright (C) Siemens AG, 2012. All Rights Reserved.
 * Author: Roland Eckl, Corporate Technology
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

using RVM;
using RvmShared.Base;


namespace RvmShared
{
    /// <summary>
    /// Traditional ViewModel with a single property.
    /// </summary>
    public class MinimalViewModel : ViewModel
    {
        private string _test;

        public string Test
        {
            get { return _test; }
            set
            {
                _test = value;
                FireNotifyPropertyChanged("Test");
            }
        }
    }

    /// <summary>
    /// RemotableViewModel with a single property.
    /// </summary>
    public class MinimalRemotableViewModel : RemotableViewModel
    {
        public string Test
        {
            get { return GetValue("Test", string.Empty) as string; }
            set { SetValue("Test", value); }
        }
    }
}
